version: '3.7'

services:
  mysql:
    image: mysql:5.7
    restart: always
    ports:
      - "3306:3306"
    environment:
      - MYSQL_ROOT_PASSWORD=rootpasswd
      - MYSQL_USER=slyusr
      - MYSQL_PASSWORD=sly123456
      - MYSQL_DATABASE=slypricedb

  pricewebapp:
    restart: always
    image: veloxswiss/price:2.1
    expose:
      - "8444"
    ports:
      - "8444:8444"
    environment:
      - SPRING_PROFILES_ACTIVE=localauth
      - SERVER_PORT=8444
      - priceMysqlHost=mysql
      - priceMysqlPort=3306
      - priceMysqlUser=slyusr
      - priceMysqlPassword=sly123456
      - priceMysqlDatabase=slypricedb
    depends_on:
      - mysql